=== debian/changelog ===
ros-indigo-gazebo-ros-control (2.4.16-1trusty) trusty; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 03 Jun 2018 22:00:00 -0000

ros-indigo-gazebo-ros-control (2.4.15-1trusty) trusty; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 08 Aug 2017 22:00:00 -0000

ros-indigo-gazebo-ros-control (2.4.14-1trusty) trusty; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 23 Jun 2017 22:00:00 -0000

ros-indigo-gazebo-ros-control (2.4.13-1trusty) trusty; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 27 Feb 2017 23:00:00 -0000

ros-indigo-gazebo-ros-control (2.4.12-1trusty) trusty; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Sat, 26 Nov 2016 23:00:00 -0000

ros-indigo-gazebo-ros-control (2.4.11-1trusty) trusty; urgency=high

  * missing link_directories()
  * Contributors: John Hsu, Jose Luis Rivero

 -- Jonathan Bohren <jbo@jhu.edu>  Wed, 13 Jul 2016 22:00:00 -0000

ros-indigo-gazebo-ros-control (2.4.10-1trusty) trusty; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Wed, 24 Feb 2016 23:00:00 -0000

ros-indigo-gazebo-ros-control (2.4.9-1trusty) trusty; urgency=high

  * Import changes from jade-branch
  * add missing dependencies
  * Fix DefaultRobotHWSim puts robotNamespace twice
    DefaultRobotHWSim::initSim() member function uses both
    namespaced NodeHandle and robot_namespace string to create
    parameter names.
    For example,  if a robotNamespace is "rrbot",
    DefaultRobotHWSim tries to get parameters from following names:
    - /rrbot/rrbot/gazebo_ros_control/pid_gains/*
    - /rrbot/rrbot/joint_limits/*
    This commit change these names to:
    - /rrbot/gazebo_ros_control/pid_gains/*
    - /rrbot/joint_limits/*
  * Add ifdefs to fix build with gazebo2
    It was broken by #315 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/315>.
    Fixes #321 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/321>.
  * Use Joint::SetParam for joint velocity motors
    Before gazebo5, Joint::SetVelocity and SetMaxForce
    were used to set joint velocity motors.
    The API has changed in gazebo5, to use Joint::SetParam
    instead.
    The functionality is still available through the SetParam API.
  * Set GAZEBO_CXX_FLAGS to fix c++11 compilation errors
  * Contributors: Akiyoshi Ochiai, Jose Luis Rivero, Steven Peters, ipa-fxm

 -- Jonathan Bohren <jbo@jhu.edu>  Sat, 15 Aug 2015 22:00:00 -0000

ros-indigo-gazebo-ros-control (2.4.8-1trusty) trusty; urgency=high

  * Merge pull request #244 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/244> from cottsay/control-urdf-fix
    gazebo_ros_control: add urdf to downstream catkin deps
  * Added emergency stop support.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Jim Rothrock, Scott K Logan

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 16 Mar 2015 23:00:00 -0000

ros-indigo-gazebo-ros-control (2.4.7-1trusty) trusty; urgency=high

  * move declaration for DefaultRobotHWSim to header file
  * Contributors: ipa-fxm

 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-gazebo-ros-control (2.4.6-1trusty) trusty; urgency=high

  * Update default_robot_hw_sim.cpp
  * Reduced changes
  * Fix to work with gazebo3
  * Fix build with gazebo4 and indigo
  * Update package.xml
    Add new maintainer.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Jose Luis Rivero, Nate Koenig, hsu

 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 31 Aug 2014 22:00:00 -0000

ros-indigo-gazebo-ros-control (2.4.5-1trusty) trusty; urgency=high

  * Fix typo: GAZEBO_VERSION_MAJOR -> GAZEBO_MAJOR_VERSION
  * Port fix_build branch for indigo-devel
    See pull request #221 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/221>
  * Contributors: Jose Luis Rivero, Steven Peters

 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 17 Aug 2014 22:00:00 -0000

ros-indigo-gazebo-ros-control (2.4.4-1trusty) trusty; urgency=high

  * Update package.xml
    Add new maintainer.
  * Should fix build error for binary releases.
    See: http://www.ros.org/debbuild/indigo.html?q=gazebo_ros_control
  * Updated package.xml
  * gazebo_ros_control: default_robot_hw_sim:  Suppressing pid error message
    Depends on ros-controls/control_toolbox#21 <https://github.com/ros-controls/control_toolbox/issues/21>
  * Revert 4776545, as it belongs in indigo-devel.
  * Fix repo names in package.xml's
  * gazebo_ros_control: default_robot_hw_sim: Suppressing pid error message, depends on ros-controls/control_toolbox#21 <https://github.com/ros-controls/control_toolbox/issues/21>
  * gazebo_ros_control: Add dependency on angles
  * gazebo_ros_control: Add build-time dependency on gazebo
    This fixes a regression caused by a889ef8b768861231a67b78781514d834f631b8e
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Alexander Bubeck, Dave Coleman, Jon Binney, Jonathan Bohren, Scott K Logan

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 17 Jul 2014 22:00:00 -0000

ros-indigo-gazebo-ros-control (2.4.3-1trusty) trusty; urgency=high

  * Compatibility with Indigo's ros_control.
    Also fixes #184 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/184>.
  * Remove build-time dependency on gazebo_ros.
  * Fix broken build due to wrong rosconsole macro use
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 11 May 2014 22:00:00 -0000

ros-indigo-gazebo-ros-control (2.4.2-1trusty) trusty; urgency=high

  * merging from hydro-devel
  * bump patch version for indigo-devel to 2.4.1
  * merging from indigo-devel after 2.3.4 release
  * Merge branch 'hydro-devel' of github.com:ros-simulation/gazebo_ros_pkgs into indigo-devel
  * "2.4.0"
  * catkin_generate_changelog
  * Contributors: John Hsu

 -- Jonathan Bohren <jbo@jhu.edu>  Wed, 26 Mar 2014 23:00:00 -0000

ros-indigo-gazebo-ros-control (2.4.1-1trusty) trusty; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 12 Nov 2013 23:00:00 -0000

ros-indigo-gazebo-ros-control (2.4.0-1trusty) trusty; urgency=high




